summaryrefslogtreecommitdiff
path: root/tests/test.sh
diff options
context:
space:
mode:
authorLeo Tenenbaum <pommicket@gmail.com>2019-12-12 21:53:38 -0500
committerLeo Tenenbaum <pommicket@gmail.com>2019-12-12 21:53:38 -0500
commitbe3c25b68ced6834267a21f04fab57c78f4fe9d1 (patch)
tree4f380624fbe40499805b1b45a469848ff4fe191f /tests/test.sh
parent7420a5126f78947e9c5a11e606d59f2ed6391079 (diff)
more infer setup and better arr_foreach
Diffstat (limited to 'tests/test.sh')
-rwxr-xr-xtests/test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/test.sh b/tests/test.sh
index 4fe800e..988bce6 100755
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -13,7 +13,7 @@ compile() {
}
do_tests() {
- valgrind -q $TOC "$DIR/$1/$1.toc" -o "$DIR/$1/$1.c" > /dev/null || exit 1
+ valgrind -q --exit-on-first-error=yes --error-exitcode=1 $TOC "$DIR/$1/$1.toc" -o "$DIR/$1/$1.c" > /dev/null || exit 1
for CC in $COMPILERS; do
for EXTRA_CFLAGS in "-O0 -g" "-O3 -s"; do